﻿@model IEnumerable<CardVM>
@{
    ViewData["Title"] = "Index";
    int count = 0;
}

<section class="my-account-area pt-10">
    <div class="container-fluid custom-container">
        <div class="row">
            <div class="col-xl-3 col-md-4">
                <div class="my-account-menu mt-30">
                    <ul class="nav account-menu-list flex-column nav-pills" id="pills-tab" role="tablist">
                        <li>
                            <a class="active" id="pills-dashboard-tab" data-toggle="pill" href="#pills-dashboard" role="tab" aria-controls="pills-dashboard" aria-selected="true"><i class="far fa-tachometer-alt-fast"></i> Dashboard</a>
                        </li>
                        <li>
                            <a id="pills-order-tab" data-toggle="pill" href="#pills-order" role="tab" aria-controls="pills-order" aria-selected="false"><i class="far fa-shopping-cart"></i> Order</a>
                        </li>
                        <li>
                            <a id="pills-download-tab" data-toggle="pill" href="#pills-download" role="tab" aria-controls="pills-download" aria-selected="false"><i class="far fa-cloud-download"></i> Download</a>
                        </li>
                        <li>
                            <a id="pills-payment-tab" data-toggle="pill" href="#pills-payment" role="tab" aria-controls="pills-payment" aria-selected="false"><i class="fal fa-credit-card"></i> Payment Method</a>
                        </li>
                        <li>
                            <a id="pills-address-tab" data-toggle="pill" href="#pills-address" role="tab" aria-controls="pills-address" aria-selected="false"><i class="far fa-map-marker-alt"></i> Address</a>
                        </li>
                        <li>
                            <a id="pills-account-tab" data-toggle="pill" href="#pills-account" role="tab" aria-controls="pills-account" aria-selected="false"><i class="far fa-user"></i> Account Details</a>
                        </li>
                        <li>
                            <a href="login.html"><i class="far fa-sign-out-alt"></i> Logout</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-xl-8 col-md-8">
                <div class="tab-content my-account-tab mt-30" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-dashboard" role="tabpanel" aria-labelledby="pills-dashboard-tab">
                        <div class="my-account-dashboard account-wrapper">
                            <h4 class="account-title">Dashboard</h4>
                            <div class="welcome-dashboard">
                                @if (User.Identity.IsAuthenticated)
                                {
                                    <p>Hello, <strong>@ViewBag.FullName</strong> (If Not <strong>@ViewBag.FullName !</strong> <a href="#">Logout</a> )</p>
                                }
                            </div>
                            <p class="mt-25">From your account dashboard. you can easily check & view your recent orders, manage your shipping and billing addresses and edit your password and account details.</p>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-order" role="tabpanel" aria-labelledby="pills-order-tab">
                        <div class="my-account-order account-wrapper">
                            <h4 class="account-title">Orders</h4>
                            <div class="account-table text-center mt-30 table-responsive">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th class="no">No</th>
                                            <th class="name">Name</th>
                                            <th class="date">Date</th>

                                            <th class="total">Total</th>
                                           
                                        </tr>
                                    </thead>
                                    <tbody>

                                        @foreach (CardVM item in Model)
                                        {
                                            double total = @item.Count * @item.Price;
                                            int no = count;
                                        <tr>
                                            <td>@no</td>
                                            <td>@item.Name</td>
                                            <td>@DateTime.UtcNow.AddHours(4)</td>

                                            <td>@total</td>
                                          
                                        </tr>
                                            count++;
                                        }

                                            

                                        </tbody>
                                    </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-download" role="tabpanel" aria-labelledby="pills-download-tab">
                        <div class="my-account-download account-wrapper">
                            <h4 class="account-title">Download</h4>
                            <div class="account-table text-center mt-30 table-responsive">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th class="name">Product</th>
                                            <th class="date">Date</th>
                                            <th class="status">Expire</th>
                                            <th class="action">Download</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach (CardVM item in Model)
                                        {
                                            double total = @item.Count * @item.Price;
                                            int no = count;
                                            <tr>
                                                <td>@no</td>
                                                <td>@item.Name</td>
                                                <td>@DateTime.UtcNow.AddHours(4)</td>

                                                <td>@total</td>
                                               
                                            </tr>
                                            count++;
                                        }

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-payment" role="tabpanel" aria-labelledby="pills-payment-tab">
                        <div class="my-account-payment account-wrapper">
                            <h4 class="account-title">Payment Method</h4>
                            <p class="mt-30">You Can't Saved Your Payment Method yet.</p>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-address" role="tabpanel" aria-labelledby="pills-address-tab">
                        <div class="my-account-address account-wrapper">
                            <h4 class="account-title">Payment Method</h4>
                            <div class="account-address mt-30">
                                <h6 class="name">Alex Tuntuni</h6>
                                <p>1355 Market St, Suite 900 <br> San Francisco, CA 94103</p>
                                <p>Mobile: (123) 456-7890</p>
                                <a class="main-btn main-btn-2" href="#"><i class="far fa-edit"></i> Edit Address</a>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-account" role="tabpanel" aria-labelledby="pills-account-tab">
                        <div class="my-account-details account-wrapper">
                            <h4 class="account-title">Account Details</h4>

                            <div class="account-details">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="single-form">
                                            <input type="text" placeholder="First Name">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="single-form">
                                            <input type="text" placeholder="Last Name">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="single-form">
                                            <input type="text" placeholder="Display Name">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="single-form">
                                            <input type="text" placeholder="Email address">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="single-form">
                                            <h5 class="title">Password change</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="single-form">
                                            <input type="password" placeholder="Current Password">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="single-form">
                                            <input type="password" placeholder="New Password">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="single-form">
                                            <input type="password" placeholder="Confirm Password">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="single-form">
                                            <button class="main-btn main-btn-2">Save Change</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

